Adding ZMQ fails on debian-strech ARM

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Adding ZMQ fails on debian-strech ARM

Lutfullah Tomak
1)System libzmq fails because binary tarball(julia-0.5) from julialang.org includes old libstdc++ shared library hence Pkg.build("ZMQ") fails. 2) I tried to build julia-0.5 with the system's gcc (6.2) but build fails while compiling julia that says "target does not support ifunc". Are there ways to work around these two?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Adding ZMQ fails on debian-strech ARM

Yichao Yu
On Sat, Nov 5, 2016 at 3:55 AM, Lutfullah Tomak <[hidden email]> wrote:
> 1)System libzmq fails because binary tarball(julia-0.5) from julialang.org includes old libstdc++ shared library hence Pkg.build("ZMQ") fails. 2) I tried to build julia-0.5 with the system's gcc (6.2) but build fails while compiling julia that says "target does not support ifunc". Are there ways to work around these two?

Both fixed on master. You can delete the libstdc++ from the 0.5 binary.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Adding ZMQ fails on debian-strech ARM

Lutfullah Tomak
Thanks Yichao. I also found that there is an open issue https://github.com/JuliaLang/julia/issues/18816.

On Saturday, November 5, 2016 at 3:04:25 PM UTC+3, Yichao Yu wrote:
On Sat, Nov 5, 2016 at 3:55 AM, Lutfullah Tomak <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="WXGkoIjJAwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">tomak...@...> wrote:
> 1)System libzmq fails because binary tarball(julia-0.5) from <a href="http://julialang.org" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fjulialang.org\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGWGtYIADbR47epyIjgRyK_JPJdzg&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fjulialang.org\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGWGtYIADbR47epyIjgRyK_JPJdzg&#39;;return true;">julialang.org includes old libstdc++ shared library hence Pkg.build("ZMQ") fails. 2) I tried to build julia-0.5 with the system's gcc (6.2) but build fails while compiling julia that says "target does not support ifunc". Are there ways to work around these two?

Both fixed on master. You can delete the libstdc++ from the 0.5 binary.
Loading...